If /usr/bin/cc exists then get_gcc() is always true on Linux (and many
others), but will fail in the event it's missing (-native-symlinks).

get_gcc_version does not execute gcc and merely sets defines, so
call it without using get_gcc(). Validity of using NULL should be
verified if there's ever a new version.
--- a/imake.c
+++ b/imake.c
@@ -1341,4 +1341,5 @@
 #endif
 
+#if defined CROSSCOMPILE
 static boolean
 get_gcc(char *cmd)
@@ -1394,5 +1395,4 @@
 }
 
-#ifdef CROSSCOMPILE
 static void
 get_gcc_incdir(FILE *inFile, char* name)
@@ -1640,12 +1640,14 @@
 #  endif
 	{
+#  if defined CROSSCOMPILE
 	  char name[PATH_MAX];
 	  if (get_gcc(name)) {
 	      get_gcc_version (inFile,name);
-#  if defined CROSSCOMPILE
 	      if (sys != emx)
 		  get_gcc_incdir(inFile,name);
-#  endif
 	  }
+#  else
+	  get_gcc_version(inFile,NULL);
+#  endif
 	}
 # endif
